summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorHavoc Pennington <hp@redhat.com>2002-08-04 20:02:45 +0000
committerHavoc Pennington <hp@src.gnome.org>2002-08-04 20:02:45 +0000
commit583596178ff110e80bfd41a7ed1c2fb5a062ad9f (patch)
treecfb2b2f7ced68fbd07f99ae174db57b7f420e46f /autogen.sh
parentae148bc89f71b796f078a08228f095800c787e9f (diff)
downloadmutter-583596178ff110e80bfd41a7ed1c2fb5a062ad9f.tar.gz
use MetaMenuIconType not button type for the size of the menu ops array
2002-08-04 Havoc Pennington <hp@redhat.com> * src/theme.c (free_menu_ops): use MetaMenuIconType not button type for the size of the menu ops array (meta_theme_define_int_constant): return TRUE on success (how the heck did this ever work?) (meta_theme_define_float_constant): return TRUE on success (meta_frame_style_validate): allow the "positional" buttons to be omitted for now. * src/testgradient.c (render_multi): don't define N_COLORS twice * src/theme-viewer.c (run_theme_benchmark): don't define ITERATIONS twice * src/theme.c (button_rect): handle new button types (meta_button_type_to_string): update (meta_button_type_from_string): update * src/theme.h (enum): add button types for the 6 possible button positions. No way to reposition buttons still but this will allow themes to go ahead and support doing so.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh18
1 files changed, 13 insertions, 5 deletions
diff --git a/autogen.sh b/autogen.sh
index ba38ea6ab..ac91e6467 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -12,6 +12,14 @@ FILE=src/display.c
DIE=0
+AUTOMAKE=automake-1.4
+ACLOCAL=aclocal-1.4
+
+($AUTOMAKE --version) < /dev/null > /dev/null 2>&1 || {
+ AUTOMAKE=automake
+ ACLOCAL=aclocal
+}
+
(autoconf --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have autoconf installed to compile $PROJECT."
@@ -20,7 +28,7 @@ DIE=0
DIE=1
}
-(automake --version) < /dev/null > /dev/null 2>&1 || {
+($AUTOMAKE --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have automake installed to compile $PROJECT."
echo "Get ftp://sourceware.cygnus.com/pub/automake/automake-1.4.tar.gz"
@@ -104,14 +112,14 @@ do
echo "Running libtoolize..."
libtoolize --force --copy
fi
- echo "Running aclocal $aclocalinclude ..."
- aclocal $aclocalinclude
+ echo "Running $ACLOCAL $aclocalinclude ..."
+ $ACLOCAL $aclocalinclude
if grep "^AM_CONFIG_HEADER" configure.in >/dev/null; then
echo "Running autoheader..."
autoheader
fi
- echo "Running automake --gnu $am_opt ..."
- automake --add-missing --gnu $am_opt
+ echo "Running $AUTOMAKE --gnu $am_opt ..."
+ $AUTOMAKE --add-missing --gnu $am_opt
echo "Running autoconf ..."
autoconf
)